diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandColor.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandColor.java
index c90675bb9..33e7512a1 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandColor.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandColor.java
@@ -2,8 +2,8 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.entity.Entity;
@@ -22,8 +22,8 @@ import java.util.List;
 
 public class CommandColor implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("color")
-            .then(LiteralArgumentBuilder.<CommandSource>literal("get")
+        CommandNode<CommandSource> command = dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("color")
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("get")
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     if (!(source instanceof IServerCommandSource))
@@ -36,7 +36,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                     source.sendMessage(I18n.getInstance().translateKeyAndFormat("command.commands.color.get.success", color + color.getNames()[0]));
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.username())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource))
@@ -49,90 +49,90 @@ public class CommandColor implements CommandManager.CommandRegistry {
                         source.sendMessage(I18n.getInstance().translateKeyAndFormat("command.commands.color.get.success_other", color + color.getNames()[0]));
                         return Command.SINGLE_SUCCESS;
                     })))
-            .then(LiteralArgumentBuilder.<CommandSource>literal("set")
-                .then(LiteralArgumentBuilder.<CommandSource>literal("white")
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("set")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("white")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 0);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("orange")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("orange")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 1);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("magenta")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("magenta")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 2);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("light_blue")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("light_blue")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 3);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("yellow")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("yellow")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 4);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("lime")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("lime")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 5);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("pink")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("pink")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 6);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("gray")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("gray")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 7);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("light_gray")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("light_gray")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 8);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("cyan")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("cyan")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 9);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("purple")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("purple")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 10);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("blue")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("blue")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 11);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("brown")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("brown")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 12);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("green")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("green")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 13);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("red")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("red")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 14);
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("black")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("black")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         return setColor((PlayerServer) source.getSender(), source, (byte) 15);
                     }))
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.usernames())
                     .requires(CommandSource::hasAdmin)
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("white")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("white")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -142,7 +142,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("orange")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("orange")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -152,7 +152,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("magenta")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("magenta")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -162,7 +162,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("light_blue")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("light_blue")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -172,7 +172,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("yellow")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("yellow")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -182,7 +182,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("lime")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("lime")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -192,7 +192,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("pink")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("pink")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -202,7 +202,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("gray")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("gray")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -212,7 +212,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("light_gray")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("light_gray")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -222,7 +222,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("cyan")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("cyan")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -232,7 +232,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("purple")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("purple")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -242,7 +242,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("blue")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("blue")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -252,7 +252,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("brown")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("brown")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -262,7 +262,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("green")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("green")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -272,7 +272,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("red")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("red")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -282,7 +282,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("black")
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("black")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -292,7 +292,7 @@ public class CommandColor implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         })))));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("colour")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("colour")
             .redirect(command));
     }
 
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
index 2ae778173..09216b13d 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
@@ -2,8 +2,8 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.lang.I18n;
@@ -22,9 +22,9 @@ public class CommandDeop implements CommandManager.CommandRegistry {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.deop.exception_failure"));
 
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("deop")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("deop")
             .requires(CommandSource::hasAdmin)
-            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
+            .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.usernames())
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     if (!(source instanceof IServerCommandSource))
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDifficulty.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDifficulty.java
index 4d8c4610f..1c55c19d3 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDifficulty.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDifficulty.java
@@ -2,7 +2,7 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandManager;
@@ -17,7 +17,7 @@ import java.util.List;
 
 public class CommandDifficulty implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("difficulty")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("difficulty")
                 .requires(CommandSource::hasAdmin)
                 .executes(c -> {
                     CommandSource source = c.getSource();
@@ -40,22 +40,22 @@ public class CommandDifficulty implements CommandManager.CommandRegistry {
                     }
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(LiteralArgumentBuilder.<CommandSource>literal("peaceful")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("peaceful")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             return setDifficulty(source, 0);
                         }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("easy")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("easy")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             return setDifficulty(source, 1);
                         }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("normal")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("normal")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             return setDifficulty(source, 2);
                         }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("hard")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("hard")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             return setDifficulty(source, 3);
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandEmotes.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandEmotes.java
index 42c2b9043..250f43fbc 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandEmotes.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandEmotes.java
@@ -1,7 +1,7 @@
 package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
 import net.minecraft.core.net.ChatEmotes;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.TextFormatting;
@@ -12,7 +12,7 @@ import java.util.Map;
 
 public class CommandEmotes implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("emotes")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("emotes")
             .executes(c -> {
                 CommandSource source = c.getSource();
                 source.sendTranslatableMessage("command.commands.emotes.success");
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandKick.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandKick.java
index ea6b0d048..9fdf736d0 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandKick.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandKick.java
@@ -2,8 +2,8 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.DynamicCommandExceptionType;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandManager;
@@ -21,9 +21,9 @@ public class CommandKick implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register
             (
-                LiteralArgumentBuilder.<CommandSource>literal("kick")
+                ArgumentBuilderLiteral.<CommandSource>literal("kick")
                     .requires(CommandSource::hasAdmin)
-                    .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("player", ArgumentTypeEntity.player()).executes(c -> {
+                    .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("player", ArgumentTypeEntity.username()).executes(c -> {
                             CommandSource source = c.getSource();
                             if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandList.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandList.java
index 56e822fbb..17b47e4cf 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandList.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandList.java
@@ -2,7 +2,7 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandManager;
@@ -16,7 +16,7 @@ public class CommandList implements CommandManager.CommandRegistry {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.list.exception_failure"));
 
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("list")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("list")
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
